PETSc version 3.15.5
Fix/Edit manual page

# PetscDualSpaceSimpleSetFunctional

Set the given basis element for this dual space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSimpleSetFunctional(PetscDualSpace sp, PetscInt func, PetscQuadrature q)

Not Collective

### Input Parameters

| sp | - the PetscDualSpace
| f | - the basis index
| q | - the basis functional

Note: The quadrature will be reweighted so that it has unit volume.

### See Also

PetscDualSpaceSimpleSetDimension()

### Level

intermediate

### Location

src/dm/dt/dualspace/impls/simple/dspacesimple.c

### Implementations

PetscDualSpaceSimpleSetFunctional_Simple in src/dm/dt/dualspace/impls/simple/dspacesimple.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages